package com.lanyuanxiaoyao.service.ai.knowledge.entity;

/**
 * @author lanyuanxiaoyao
 * @version 20250522
 */
public class Knowledge {
  private Long id;
  private Long vectorSourceId;
  private String name;
  private String strategy;
  private Long createdTime;
  private Long modifiedTime;

  public Long getId() {
    return id;
  }

  public void setId(Long id) {
    this.id = id;
  }

  public Long getVectorSourceId() {
    return vectorSourceId;
  }

  public void setVectorSourceId(Long vectorSourceId) {
    this.vectorSourceId = vectorSourceId;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public String getStrategy() {
    return strategy;
  }

  public void setStrategy(String strategy) {
    this.strategy = strategy;
  }

  public Long getCreatedTime() {
    return createdTime;
  }

  public void setCreatedTime(Long createdTime) {
    this.createdTime = createdTime;
  }

  public Long getModifiedTime() {
    return modifiedTime;
  }

  public void setModifiedTime(Long modifiedTime) {
    this.modifiedTime = modifiedTime;
  }

  @Override
  public String toString() {
    return "Knowledge{" +
           "id=" + id +
           ", vectorSourceId=" + vectorSourceId +
           ", name='" + name + '\'' +
           ", strategy='" + strategy + '\'' +
           ", createdTime=" + createdTime +
           ", modifiedTime=" + modifiedTime +
           '}';
  }
}
